| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
isf.c File Reference

Internal Isf library configuration. More...

`#include "isf_target.h"`
`#include "isf.h"`
`#include "version.h"`
Include dependency graph for isf.c:

Go to the source code of this file.

## Functions
isf_info_t | isf_get_info (void)
| API to get ISF information. More...
void | _fw_device_info_get (device_info_t *device_info)

## Variables
const char | isf_commit_id [] = ISF_BUILD_COMMIT_ID_STR
| ISF build commit_id information. More...

## Detailed Description

Internal Isf library configuration.

Definition in file isf.c.

## Function Documentation

void _fw_device_info_get | ( | device_info_t * | device_info | ) |

Definition at line 77 of file isf.c.

References device_info_t::emb_apps_present, ISF_EMB_APPS_PRESENT, isf_get_info(), device_info_t::isf_info, and device_info_t::system_device_id.

Referenced by ci_mbox_init(), and isf_app_callback_dev_info().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_info_t isf_get_info | ( | void |  | ) |

API to get ISF information.

The isf_get_info() function is called by an application that needs
retrieve ISF version and part number that the library is targeted for.

Returns
  Pointer to isf_lib_info_t structure containing the
  library information.

Errors:

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

See also

Definition at line 29 of file isf.c.

References isf_info_t::build_info, build_info_t::buildDay, build_info_t::buildHours, build_info_t::buildId, build_info_t::buildMinutes, build_info_t::buildMonth, build_info_t::buildSeconds, build_info_t::buildYear, ISF_BUILD_DAY, ISF_BUILD_HOURS, ISF_BUILD_MINUTES, ISF_BUILD_MONTH, ISF_BUILD_SECONDS, ISF_BUILD_YEAR, isf_commit_id, ISF_LIB_VERSION_MAJOR, ISF_LIB_VERSION_MINOR, version_info_t::majorVersion, MAX_ISF_COMMIT_ID_SIZE, version_info_t::minorVersion, and isf_info_t::version_info.

Referenced by _fw_device_info_get().

Here is the caller graph for this function:

## Variable Documentation

const char isf_commit_id[] = ISF_BUILD_COMMIT_ID_STR

ISF build commit_id information.

Definition at line 21 of file isf.c.

Referenced by isf_get_info().

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.